#ifndef _DRV_VMMC_ALM_H
#define _DRV_VMMC_ALM_H
/****************************************************************************

                              Copyright (c) 2014
                            Lantiq Deutschland GmbH
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

/*
   \file drv_vmmc_alm.h
   This file contains the external interface of the ALM module.
*/

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Local Macros & Definitions    */
/* ============================= */

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

extern IFX_void_t  VMMC_ALM_Func_Register (
                        IFX_TAPI_DRV_CTX_ALM_t *pAlm);

extern IFX_int32_t VMMC_ALM_Allocate_Ch_Structures (
                        VMMC_CHANNEL *pCh);

extern IFX_void_t  VMMC_ALM_Free_Ch_Structures (
                        VMMC_CHANNEL *pCh);

extern IFX_void_t  VMMC_ALM_InitCh (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_ALM_Set_Inputs (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_ALM_ChStop (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_ALM_baseConf (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_ALM_SamplingMode (
                        VMMC_CHANNEL *pCh,
                        SM_ACTION action,
                        OPMODE_SMPL sigarray_mode,
                        OPMODE_SMPL module_mode);

extern IFX_int32_t VMMC_ALM_ts_offset_set (
                        VMMC_CHANNEL *pCh,
                        IFX_uint16_t nOffset);

#endif /* _DRV_VMMC_ALM_H */
