#ifndef _DRV_VMMC_PCM_H
#define _DRV_VMMC_PCM_H
/******************************************************************************

                            Copyright (c) 2014, 2016
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

/**
   \file drv_vmmc_pcm.h
   This file contains the defines and the global functions declarations of
   the PCM module.
*/


#include "drv_vmmc_api.h"
#include "drv_tapi_ll_interface.h"
#include "drv_vmmc_res.h"

/* PCM services */
extern IFX_void_t  VMMC_PCM_Func_Register (
                        IFX_TAPI_DRV_CTX_PCM_t *pPCM);

extern IFX_int32_t VMMC_PCM_Allocate_Ch_Structures (
                        VMMC_CHANNEL *pCh);

extern IFX_void_t  VMMC_PCM_Free_Ch_Structures (
                        VMMC_CHANNEL *pCh);

extern IFX_void_t  VMMC_PCM_InitCh (
                        VMMC_CHANNEL *pCh,
                        IFX_uint8_t pcmCh);

extern VMMC_CHANNEL *VMMC_PCM_TranslateChannel (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_PCM_Set_Inputs (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_PCM_ChStop (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_PCM_DevStructAllocate (
                        VMMC_DEVICE *pDev);

extern IFX_void_t  VMMC_PCM_DevStructFree (
                        VMMC_DEVICE *pDev);

extern IFX_void_t  VMMC_PCM_DevInit (
                        VMMC_DEVICE *pDev);

extern IFX_int32_t VMMC_PCM_IF_Stop (
                        VMMC_DEVICE *pDev);

extern IFX_int32_t VMMC_PCM_SamplingMode (
                        VMMC_CHANNEL *pCh,
                        SM_ACTION action,
                        OPMODE_SMPL sigarray_mode,
                        OPMODE_SMPL module_mode);

extern IFX_int32_t  VMMC_PCM_SamplingMode_NoTranslate (
                        VMMC_CHANNEL *pCh,
                        SM_ACTION action,
                        OPMODE_SMPL sigarray_mode,
                        OPMODE_SMPL module_mode);

extern IFX_int32_t VMMC_PCM_CH_Cfg (
                        VMMC_CHANNEL *pCh,
                        IFX_TAPI_PCM_CFG_t const *pPCMConfig);

extern IFX_int32_t VMMC_PCM_CH_Enable (
                        VMMC_CHANNEL *pCh,
                        IFX_uint32_t nMode,
                        IFX_TAPI_PCM_CFG_t *pPcmCfg,
                        IFX_boolean_t bConfUpdate);

extern IFX_int32_t VMMC_PCM_LEC_Set (
                        VMMC_CHANNEL *pCh,
                        VMMC_RES_MOD_t nModule,
                        TAPI_LEC_DATA_t const *pLecConf);

#ifdef VMMC_FEAT_HDLC
extern IFX_void_t irq_VMMC_PCM_HDLC_BufferReadySet (
                        VMMC_CHANNEL *pCh);

extern IFX_int32_t VMMC_PCM_HDLC_Write (
                        VMMC_CHANNEL *pCh,
                        const IFX_uint8_t *pBuf,
                        IFX_int32_t nLen);
#endif /* VMMC_FEAT_HDLC */

#ifdef VMMC_USE_PROC
enum VMMC_PCM_PROC_TX {
   VMMC_PCM_PROC_TS_TX,
   VMMC_PCM_PROC_TS_RX,
   VMMC_PCM_PROC_TS_RESERVED
};

extern IFX_void_t VMMC_PCM_proc_TimeslotRead (
                        struct seq_file *s,
                        VMMC_DEVICE *pDev,
                        enum VMMC_PCM_PROC_TX select);
#endif /* VMMC_USE_PROC */

#endif
