/******************************************************************************

                            Copyright (c) 2014-2015
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

/**
   \file drv_sdd_access.c
   This file implements the device access functions.
*/

/* ========================================================================== */
/*                                 Includes                                   */
/* ========================================================================== */
#include "ifx_types.h"

#include "drv_sdd_osmap.h"
#include "drv_sdd_global.h"

/* ========================================================================== */
/*                             Macro definitions                              */
/* ========================================================================== */

/* ========================================================================== */
/*                             Type definitions                               */
/* ========================================================================== */

/* ========================================================================== */
/*                             Global variables                               */
/* ========================================================================== */

/* ========================================================================== */
/*                              Local variables                               */
/* ========================================================================== */

/* ========================================================================== */
/*                           Function prototypes                              */
/* ========================================================================== */

/* ========================================================================== */
/*                         Function implementation                            */
/* ========================================================================== */
/**
   Open the mailbox

   \param pDev   reference to device context

   \return IFX_SUCCESS or IFX_ERROR
*/
IFX_int32_t SDD_Prepare_Mailbox(SDD_DEVICE_t *pDev, IFX_char_t* s)
{
   SDD_FIRMWARE_IF_t *p = pDev->pMbxIF;
   IFX_int32_t ret;

   if (p == IFX_NULL)
   {
      /*errmsg: The SDD MBX driver is not registered. */
      RETURN_DEVSTATUS (SDD_statusMbxDrvNotRegistered);
   }

   /* open command mailbox */
   ret = p->open(s);
   if (ret != IFX_SUCCESS)
   {
      TRACE (SDD, DBG_LEVEL_HIGH,
             ("SDD: open %s mailbox error (code 0x%08x)\n", s, ret));

      return IFX_ERROR;
   }

   return IFX_SUCCESS;
}
