#ifndef _DRV_SDD_CONFIG_H
#define _DRV_SDD_CONFIG_H
/*******************************************************************************

                              Copyright (c) 2015
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

/**
   \file drv_sdd_config.h

   This file configures the features depending on user controled defines and
   other defines.

   This is the main configuration file for the project.
*/

/* ========================================================================== */
/*                                 Includes                                   */
/* ========================================================================== */
#ifdef HAVE_CONFIG_H
   #include "drv_config.h"
   /*lint -save -e(19)  we need this ; to stop runaway arguments from breaking
     out of drv_tapi_autoconf.h */
   ;
   /*lint -restore */
#endif

#if defined(LINUX) && defined(__KERNEL__)
   #include <linux/kernel.h>
#endif /* defined(LINUX) && defined(__KERNEL__) */

/* ========================================================================== */
/*                    Global Configuration Definitions                        */
/* ========================================================================== */

/* Support for the Linux procfs. */
#ifdef VMMC_USE_PROC
   #if defined(LINUX) && defined(__KERNEL__) && defined(CONFIG_PROC_FS)
      #define SDD_FEAT_PROCFS
      /* Do not printout __DATE__ and __TIME__ with GCC version >= 4.9. */
      #if !defined(__GNUC__) || \
          (__GNUC__ < 4) || \
          (__GNUC__ == 4 && __GNUC_MINOR__ < 9)
         #define SDD_FEAT_USE_TIME_DATE
      #endif /* GCC version < 4.9 */
   #else
      #warning Not compiling for Linux kernel-space: procfs support disabled.
   #endif /* defined(LINUX) && defined(__KERNEL__) && defined(CONFIG_PROC_FS) */
#endif /* TAPI_USE_PROC */

/* FXO feature */
#if defined(TAPI_FXO_SUPPORT) && !defined(S220)
   #define SDD_FEAT_FXO
#endif

/* Linetesting feature */
#ifdef TAPI_LT
   /* TAPI line testing combines all linetesting features */
   #define SDD_FEAT_NLT
   #define SDD_FEAT_GR909
   #define SDD_FEAT_CAP_MEASURE
#endif

/* Calibration feature */
#if defined(CALIBRATION_SUPPORT)
   #define SDD_FEAT_CALIBRATION
#endif

/* Continuous measurement feature */
#if defined(TAPI_CONT_MEASUREMENT)
   #define SDD_FEAT_CONT_MEASUREMENT
   #ifndef S220
      #define SDD_FEAT_CONT_MEASUREMENT_RESET
   #endif /* S220 */
#endif

/* FXS Phone Detection feature */
#if defined(TAPI_PHONE_DETECTION)
   #define SDD_FEAT_NLT
   #define SDD_FEAT_CAP_MEASURE
#endif

/* AC level metering feature */
#if defined(TODO_ACLM) && defined(S220)
   #define SDD_FEAT_AC_LEVEL_METERING
#endif /* S220 */

#endif /* _DRV_SDD_CONFIG_H */
