#ifndef _drv_sdd_opmode_H
#define _drv_sdd_opmode_H
/*******************************************************************************

                            Copyright (c) 2013-2015
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

/**
   \file drv_sdd_opmode.h
   This file contains the declaration of the opmode module.
*/

/* ========================================================================== */
/*                                 Includes                                   */
/* ========================================================================== */
#include "drv_sdd_global.h"
#ifdef SDD_FEAT_PROCFS
   #include <linux/seq_file.h>
#endif /* SDD_FEAT_PROCFS */

/* ========================================================================== */
/*                             Macro definitions                              */
/* ========================================================================== */
#define SDD_EVT_TIMEOUT_MS 100
#define OPMODE_IGNORED     255

/* ========================================================================== */
/*                           Function prototypes                              */
/* ========================================================================== */
extern IFX_void_t SDD_ALM_Opmode_Func_Register (
                        IFX_TAPI_DRV_CTX_ALM_t *pAlm);

extern IFX_int32_t SDD_ALM_Allocate_Ch_Structures (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t SDD_ALM_Free_Ch_Structures (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t SDD_ALM_InitCh (
                        SDD_CHANNEL_t *pCh);

extern IFX_int32_t SDD_ALM_BaseConf(
                        IFX_TAPI_LL_CH_t *pLLChannel);

extern IFX_int32_t SDD_ALM_ChStop (
                        SDD_CHANNEL_t *pCh,
                        IFX_boolean_t bChipAccess);

extern IFX_int32_t SDD_ALM_OpModeSet (
                        SDD_CHANNEL_t *pCh);

extern IFX_int32_t SDD_ALM_OpmodeGet (
                        SDD_CHANNEL_t *pCh,
                        IFX_uint8_t *pCurrentOpmode);

extern IFX_void_t irq_SDD_ALM_LineDisable (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t irq_SDD_ALM_UpdateOpModeAndWakeUp (
                        SDD_CHANNEL_t *pCh,
                        IFX_uint8_t lm);

extern IFX_void_t SDD_ALM_CorrectLinemodeCache(
                        SDD_CHANNEL_t *pCh,
                        IFX_uint16_t lm);

extern IFX_uint16_t SDD_ALM_ElapsedTimeSinceLastHook (
                        SDD_CHANNEL_t *pCh,
                        IFX_uint16_t current_timestamp);

extern IFX_boolean_t  SDD_ALM_CapMeasInProgress (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t SDD_ALM_CapMeasAbort(
                        SDD_CHANNEL_t *pCh);

#ifdef SDD_FEAT_PROCFS
extern IFX_int32_t SDD_ALM_proc_StatusGet (
                        struct seq_file *s,
                        SDD_DEVICE_t *pDev);
#endif /* SDD_FEAT_PROCFS */

extern enum SDD_DCDC_TYPE SDD_ALM_DcDcString2Enum (
                        const char *string);

#endif /* _drv_sdd_opmode_H */
