#ifndef _drv_sdd_osmap_H
#define _drv_sdd_osmap_H
/*******************************************************************************

                            Copyright (c) 2014, 2015
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

/**
   \file drv_sdd_osmap.h
   This file contains the declaration of the connection module.
*/

/* ========================================================================== */
/*                                 Includes                                   */
/* ========================================================================== */
#include "ifxos_memory_alloc.h"
#include "ifxos_debug.h"
#include "ifxos_event.h"
#include "ifxos_copy_user_space.h"
#include "ifxos_mutex.h"
#include "ifxos_interrupt.h"
#include "ifxos_thread.h"
#include "ifxos_select.h"
#include "ifxos_time.h"

/* ========================================================================== */
/*                             Macro definitions                              */
/* ========================================================================== */
#define SDD_OS_UNUSED(var) ((IFX_void_t)(var))

/* Used in TRACE */
#define TRACE_PRINTF                   IFXOS_PRINT_USR_RAW

/* Used in ASSERT */
#define ASSERT_PRINTF                  IFXOS_DBG_PRINT_USR

/*
   Mapping table - Mutex handling.
*/
#define SDD_OS_mutex_t                 IFXOS_mutex_t
#define SDD_OS_MutexInit               IFXOS_MutexInit
#define SDD_OS_MutexDelete             IFXOS_MutexDelete
#define SDD_OS_MutexGet                IFXOS_MutexGet
#define SDD_OS_MutexRelease            IFXOS_MutexRelease
#define SDD_OS_SigMutexInit            IFXOS_MutexInit
/* not supported in lib_ifxos */
#ifdef LINUX
#define SDD_OS_MutexLockInterruptible(lockId)   \
         (down_interruptible(&(lockId)->object))
#endif /* LINUX */

/*
   Mapping table - Thread handling.
*/
#define SDD_OS_THREAD_KILL             SDD_OS_ThreadKill

/* To make the EventLogger happy which uses a no longer existing IFXOS API. */
#define IFXOS_GET_TICK()                  IFXOS_ElapsedTimeMSecGet(0)

/* ========================================================================== */
/*                           Function prototypes                              */
/* ========================================================================== */
#ifdef LINUX
extern IFX_void_t  SDD_OS_ThreadKill(
                        IFXOS_ThreadCtrl_t *pThrCntrl);

extern IFX_void_t* OS_MapBuffer(
                        IFX_void_t* p_buffer,
                        IFX_size_t size);

extern IFX_void_t OS_UnmapBuffer(
                        IFX_void_t* p_buffer);
#endif

#endif /* _drv_sdd_osmap_H */
