#ifndef _DRV_SDD_PCM_H
#define _DRV_SDD_PCM_H
/******************************************************************************

                            Copyright (c) 2014-2015
                        Lantiq Beteiligungs-GmbH & Co.KG
                             http://www.lantiq.com

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

/**
   \file drv_sdd_pcm.h
   This file contains the defines and the global function declarations for
   the SDD PCM module.
*/

/* ========================================================================== */
/*                                 Includes                                   */
/* ========================================================================== */
#include "drv_sdd_global.h"
#include "drv_tapi_ll_interface.h"

/* ========================================================================== */
/*                             Macro definitions                              */
/* ========================================================================== */

/* ========================================================================== */
/*                             Type definitions                               */
/* ========================================================================== */

/* ========================================================================== */
/*                           Function prototypes                              */
/* ========================================================================== */

extern IFX_int32_t SDD_PCM_DevStructAllocate (
                        SDD_DEVICE_t *pDev);

extern IFX_void_t  SDD_PCM_DevStructFree (
                        SDD_DEVICE_t *pDev);

extern IFX_void_t  SDD_PCM_DevInit (
                        SDD_DEVICE_t *pDev);

extern IFX_int32_t SDD_PCM_IF_Cfg (
                        SDD_DEVICE_t *pDev,
                        const IFX_TAPI_PCM_IF_CFG_t *pCfg);

extern IFX_int32_t SDD_PCM_IF_Stop (
                        SDD_DEVICE_t *pDev);

extern IFX_int32_t SDD_PCM_ChStructAllocate (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t  SDD_PCM_ChStructFree (
                        SDD_CHANNEL_t *pCh);

extern IFX_void_t  SDD_PCM_ChInit (
                        SDD_CHANNEL_t *pCh);

extern IFX_int32_t SDD_PCM_ChCfg (
                        SDD_CHANNEL_t *pCh,
                        IFX_TAPI_PCM_CFG_t const *pPCMConfig);

extern IFX_int32_t SDD_PCM_ChEnable(
                        SDD_CHANNEL_t *pCh,
                        IFX_uint32_t nMode,
                        IFX_TAPI_PCM_CFG_t *pPcmCfg);

extern IFX_int32_t SDD_PCM_ChStop (
                        SDD_CHANNEL_t *pCh);

#ifdef SDD_FEAT_PROCFS
extern IFX_int32_t SDD_PCM_proc_StatusGet (
                        struct seq_file *s,
                        SDD_DEVICE_t *pDev);
#endif /* SDD_FEAT_PROCFS */

#endif /* _DRV_SDD_PCM_H */
